Name:		heat-jeos
Version:	9
Release:	1%{?dist}
Summary:	This software provides the ability to create JEOS images for Heat

Group:		System Environment/Base
License:	ASL 2.0
URL:		http://github.com/sdake/heat-jeos
Source0:	https://github.com/sdake/heat-jeos/archive/v%{version}.release.tar.gz

BuildArch: noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools

Requires:	oz
Requires:	python-glance
Requires:	python-lxml
Requires:	python-prettytable
Requires:	python-psutil


%description
This is a project for creating Just Enough Operating System images
for heat.

This project supports the following features:
- Creates TDL files for use with oz
- Creates compressed qcow2 files for use with libvirt/glance
- Registers image files with glance

%prep
%setup -q -n %{name}-%{version}.release


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
cp -v docs/man/man1/* $RPM_BUILD_ROOT/%{_mandir}/man1


%files
%doc README.rst LICENSE
%{_mandir}/man1/*.gz
%{_bindir}/heat-jeos
%{python_sitelib}/heat_jeos*



%changelog
* Wed May 29 2013 Jeff Peeler <jpeeler@redhat.com> 9-1
- rebase to v9, related to CVS-2013-2069

* Tue Mar 26 2013 Jeff Peeler <jpeeler@redhat.com> 8-1
- rebase to v8
- updated URL and source
- changed setup to match github tarball naming

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 26 2012 Zane Bitter <zbitter@redhat.com> 7-1
- rebase to v7

* Fri Sep 21 2012 Jeff Peeler <jpeeler@redhat.com> 6-1
- sync and rebuild

* Tue Jul 31 2012 Jeff Peeler <jpeeler@redhat.com> 5-1
- skip version numbers to match heat
- add dist tag

* Mon Jul 30 2012 Jeff Peeler <jpeeler@redhat.com> 1-5
- renamed package from heat_jeos to heat-jeos

* Fri Jul 27 2012 Jeff Peeler <jpeeler@redhat.com> 1-4
- removed unnecessary defattr
- added license file to docs
- removed yum requires

* Thu Jul 26 2012 Jeff Peeler <jpeeler@redhat.com> 1-3
- removed heat requires

* Fri Jul 20 2012 Jeff Peeler <jpeeler@redhat.com> 1-2
- change python-devel to python2-devel

* Wed Jul 11 2012 Jeff Peeler <jpeeler@redhat.com> 1-1
- initial package
